<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>    
		<record id="realisasi_skp_workflow" model="workflow">
		    <field name="name">realisasi.skp.workflow</field>
		    <field name="osv">project.task</field>
		    <field name="on_create">True</field>
		</record>
		<!-- Action -->
		<record id="act_task_draft" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="flow_start">True</field>
		    <field name="name">draft</field>
		    <field name="kind">function</field>
		    <field name="action">set_draft()</field>
		</record>
		<record id="act_task_realisasi" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="name">realisasi</field>
		    <field name="kind">function</field>
		    <field name="action">set_realisasi()</field>
		</record>
		<record id="act_task_propose" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="name">propose</field>
		    <field name="kind">function</field>
		    <field name="action">set_propose()</field>
		</record>
		<record id="act_task_appeal" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="name">appeal</field>
		    <field name="kind">function</field>
		    <field name="action">set_appeal()</field>
		</record>
		<record id="act_task_evaluated" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="name">evaluated</field>
		    <field name="kind">function</field>
		    <field name="action">set_evaluated()</field>
		</record>
		<record id="act_task_done" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="name">done</field>
		    <field name="kind">function</field>
		    <field name="action">set_done()</field>
		</record>
		<record id="act_task_propose_closing" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="name">propose_closing</field>
		    <field name="kind">function</field>
		    <field name="action">set_propose_closing()</field>
		</record>
		<record id="act_task_closing" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="flow_stop">True</field>
			<field name="name">closing</field>
		    <field name="kind">function</field>
		    <field name="action">set_closing()</field>
		</record>
		<record id="act_task_cancel" model="workflow.activity">
		    <field name="wkf_id" ref="realisasi_skp_workflow"/>
		    <field name="name">cancel</field>
		    <field name="kind">function</field>
		    <field name="action">set_cancel()</field>
		</record>
		
		<!-- Transisi -->
		<record id="trans_task_draft_to_realisasi" model="workflow.transition">
		    <field name="act_from" ref="act_task_draft"/>
		    <field name="act_to" ref="act_task_realisasi"/>
		    <field name="signal">action_realisasi</field>
		    <field name="condition">is_user_or_is_verificator()</field>
		    
		</record>
		<record id="trans_task_realisasi_to_propose" model="workflow.transition">
		    <field name="act_from" ref="act_task_realisasi"/>
		    <field name="act_to" ref="act_task_propose"/>
		    <field name="signal">action_propose</field>
		    <field name="condition">is_user()</field>
		    <field name="group_id" ref="group_project_user"/>
		</record>
		<record id="trans_task_propose_to_realisasi" model="workflow.transition">
		    <field name="act_from" ref="act_task_propose"/>
		    <field name="act_to" ref="act_task_realisasi"/>
		    <field name="signal">action_reject_manager</field>
		    <field name="condition">is_manager()</field>
		    <field name="group_id" ref="group_project_manager"/>
		</record>
		<record id="trans_task_realisasi_to_appeal" model="workflow.transition">
		    <field name="act_from" ref="act_task_realisasi"/>
		    <field name="act_to" ref="act_task_appeal"/>
		    <field name="signal">action_appeal</field>
		    <field name="condition">is_user()</field>
		    <field name="group_id" ref="group_project_user"/>
		</record>
		<record id="trans_task_appeal_to_propose" model="workflow.transition">
		    <field name="act_from" ref="act_task_appeal"/>
		    <field name="act_to" ref="act_task_propose"/>
		    <field name="signal">action_appeal_approve</field>
		    <field name="condition">is_appeal_manager()</field>
		    <field name="group_id" ref="group_project_appeal"/>
		</record>
		<record id="trans_task_propose_to_evaluated" model="workflow.transition">
		    <field name="act_from" ref="act_task_propose"/>
		    <field name="act_to" ref="act_task_evaluated"/>
		    <field name="signal">action_evaluated</field>
		    <field name="condition">is_manager()</field>
		    <field name="group_id" ref="group_project_manager"/>
		</record>
		<record id="trans_task_evaluated_to_done" model="workflow.transition">
		    <field name="act_from" ref="act_task_evaluated"/>
		    <field name="act_to" ref="act_task_done"/>
		    <field name="signal">action_done</field>
		    <field name="condition">is_verificator()</field>
		    <field name="group_id" ref="group_project_evaluated_bkd"/>
		</record>
		<record id="trans_task_evaluated_to_propose" model="workflow.transition">
		    <field name="act_from" ref="act_task_evaluated"/>
		    <field name="act_to" ref="act_task_propose"/>
		    <field name="signal">action_reject_bkd</field>
		    <field name="condition">is_verificator()</field>
		    <field name="group_id" ref="group_project_evaluated_bkd"/>
		</record>
		<record id="trans_task_done_to_evaluated" model="workflow.transition">
		    <field name="act_from" ref="act_task_done"/>
		    <field name="act_to" ref="act_task_evaluated"/>
		    <field name="signal">action_recalculate</field>
		    <field name="condition">is_verificator()</field>
		    <field name="group_id" ref="group_project_evaluated_bkd"/>
		</record>
		
		
	
	</data>
</openerp>